{
  "name": "exosphere",
  "version": "2021.01.06",
  "productName": "Exosphere",
  "description": "A client for making things happen in the cloud. Currently targeting OpenStack.",
  "main": "elm-web.js",
  "scripts": {
    "build:prod": "npx elm make --optimize src/Exosphere.elm --output elm-web.js",
    "minify": "npx uglifyjs elm-web.js --compress 'pure_funcs=[F2,F3,F4,F5,F6,F7,F8,F9,A2,A3,A4,A5,A6,A7,A8,A9],pure_getters,keep_fargs=false,unsafe_comps,unsafe' | npx uglifyjs --mangle --output elm-web.js",
    "postinstall": "elm-tooling install && npm run elm:git",
    "start": "npm run live",
    "elm": "npx elm make src/Exosphere.elm --output=elm-web.js || true",
    "live": "npx elm-live src/Exosphere.elm --host app.exosphere.localhost --open --pushstate true --verbose --start-page index.html --hot true -- --output=elm-web.js",
    "live-debug": "npx elm-live src/Exosphere.elm --host app.exosphere.localhost --open --pushstate true --verbose --start-page index.html --hot true -- --output=elm-web.js --debug",
    "live-design-system": "npx elm-live src/DesignSystem/Explorer.elm --port 8002 --open --start-page=explorer.html -- --output=explorer.js --debug",
    "test": "npx elm-test-rs",
    "js:format": "prettier --check .",
    "elm:format": "npx elm-format --validate src",
    "elm:analyse": "npx elm-analyse",
    "elm:git": "npx elm-git-install",
    "prepare": "husky install"
  },
  "author": {
    "email": "dont@spam.me"
  },
  "license": "BSD-3-Clause",
  "build": {
    "appId": "exosphere-project.exosphere",
    "mac": {
      "category": "cloud.client"
    }
  },
  "devDependencies": {
    "elm-analyse": "^0.16.5",
    "elm-git-install": "^0.1.4",
    "elm-live": "^4.0.2",
    "elm-tooling": "^1.14.0",
    "husky": "^8.0.3",
    "prettier": "^2.8.8",
    "uglify-js": "^3.17.4"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/exosphere/exosphere.git"
  },
  "keywords": [
    "elm",
    "openstack",
    "cloud"
  ],
  "bugs": {
    "url": "https://gitlab.com/exosphere/exosphere/issues"
  },
  "homepage": "https://gitlab.com/exosphere/exosphere#readme"
}
